Skip to main content
POST
/
templates
/
{id}
/
publish
Publish a template
curl --request POST \
  --url https://api.sendrealm.com/templates/{id}/publish \
  --header 'Authorization: Bearer <token>'
{
  "status": 123,
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": null
  }
}

Endpoint

POST /templates/:id/publish

Response

{
  "data": {
    "id": "tpl_123",
    "status": "active",
    "current_published_version": {
      "id": "tpl_ver_456",
      "version_number": 3,
      "state": "published",
      "published_at": "2026-06-08T15:00:00.000Z"
    }
  }
}
Only published template versions can be used by automation send steps.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

Template published